> For the complete documentation index, see [llms.txt](https://docs.getblock.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.getblock.io/api-reference/moonriver-movr/movr_engine_createblock.md).

# engine\_createBlock {disallowed} - Moonriver

Example code for the engine\_createBlock  {disallowed} json-rpc method. Сomplete guide on how to use engine\_createBlock  {disallowed} json-rpc in GetBlock.io Web3 documentation.

#### Parameters

`createEmpty` - bool

None

`finalize` - bool

None

`parentHash` - BlockHash

None

#### Request

```java
curl --location --request POST 'https://shared.eu-central-1.getblock.io/<ACCESS-TOKEN>/' \
--header 'Content-Type: application/json' \ 
--data-raw '{"jsonrpc": "2.0",
"method": "engine_createBlock",
"params": [null, null, null],
"id": "getblock.io"}'
```

#### Response

```java
{
    "result": "null",
    "id": "getblock.io",
    "status_code": 405,
    "message": "Method not allowed"
}
```
